## ldap2dns 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# $Id: Makefile,v 1.27 2001/08/09 10:35:49 jrief Exp $ 
-VERSION=0.2.6
+# $Id: Makefile,v 1.29 2002/08/02 15:19:36 jrief Exp $ 
+VERSION=0.3.1
 RELEASE=1
 CC=gcc -O2
+CCDEBUG=gcc -g
 CFLAGS=$(INC) -DVERSION='"$(VERSION)"'
-OBJS=ldap2dns.o 
 LIBS=-lldap -llber
 LD=gcc 
 LDFLAGS=
@@ -13,14 +13,22 @@
 TARFILE=/usr/src/redhat/SOURCES/ldap2dns-$(VERSION).tar.gz
 SPECFILE=ldap2dns.spec
 
-all: ldap2dns
+all: ldap2dns ldap2dnsd ldap2dns-dbg
 
-ldap2dns: $(OBJS) $(LIBS) 
-	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+ldap2dns: ldap2dns.o $(LIBS) 
+	$(LD) $(LDFLAGS) -o $@ $+
+
+ldap2dnsd: ldap2dns
 	ln -f ldap2dns ldap2dnsd
 
+ldap2dns-dbg: ldap2dns.o-dbg $(LIBS) 
+	$(LD) $(LDFLAGS) -o $@ $+
+
 ldap2dns.o: ldap2dns.c
-	$(CC) $(CFLAGS) -c $<
+	$(CC) $(CFLAGS) -c $< -o $@
+
+ldap2dns.o-dbg: ldap2dns.c
+	$(CCDEBUG) $(CFLAGS) -c $< -o $@
 
 install: all
 	mkdir -p $(PREFIXDIR)/bin
@@ -32,11 +40,11 @@
 	install -o root -g root -m 644 dns.oc.conf $(LDAPCONFDIR)/
 
 clean:
-	rm -f $(OBJS) ldap2dns ldap2dnsd data* *.db core $(SPECFILE)
+	rm -f *.o *.o-dbg ldap2dns ldap2dnsd data* *.db core $(SPECFILE)
 
 tar: clean
 	cd ..; \
-	tar czf $(TARFILE) ldap2dns-$(VERSION) --exclude CVS --exclude DNSadmin
+	tar czf $(TARFILE) ldap2dns-$(VERSION) --exclude CVS 
 
 $(SPECFILE): Specfile
 	sed -e 's#%VERSION%#$(VERSION)#g' \
