=== debian/changelog ===
ldap2dns (0.3.1-6) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066670)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Apr 2024 03:57:23 +0200

ldap2dns (0.3.1-5) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - DebSrc to 3.0.
      - DH level format. Consequently:
          ~ debian/compat: removed.
          ~ debian/control: changed from 'debhelper' to 'debhelper-compat' in
            Build-Depends field and bumped level to 13.
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format. Consequently:
          ~ debian/man/: created to group all manpages.
          ~ debian/*.1: moved to debian/man/.
          ~ debian/manpages: created to install the manpages.
          ~ Closes: #437301
  * debian/clean: created to remove files generated by the building process.
  * debian/control:
      - Added Homepage field.
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Added Vcs-* fields.
      - Bumped Standards-Version to 4.6.1.
      - Dropped no longer needed relationships for libldap2-dev and links in
        Build-Depends field.
  * debian/dirs: removed unneeded /etc/ldap line.
  * debian/lintian-overrides: created to override a false positive about
    ldap2dnsd.1.
  * debian/patches/:
      - 010_old-changes.patch: created to group all changes from DebSrc 1.0.
      - 020_add-GCC-hardening.patch: created to provide GCC hardening.
      - 030_fix-chown.patch: created to use colons instead of dots (deprecated)
        in chown commands.
      - 040_fix-FTCBFS.patch: created to fix a fail to cross build from source
        for multiple reasons. Thanks to Helmut Grohne <helmut@subdivi.de>.
        (Closes: #940607)
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch: added a fake site to explain about the current status of the
    original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 14 Jul 2022 13:19:12 -0300

ldap2dns (0.3.1-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See #843591)
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999180)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 Apr 2022 22:03:41 -0300

ldap2dns (0.3.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10. (Closes: #817522)
  * Run wrap-and-sort.
  * debian/control:
      - Added ${misc:Depends} variable to Depends field.
      - Bumped Standards-Version to 3.9.8.
      - Fixed a typo in long description. Thanks to Florian
        Zumbiehl <florz@gmx.de>. (Closes: #300008)
      - Removed the full stop "." character from short
        description.
  * debian/watch: created. (based in #375468 and LP #206303)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 14 Oct 2016 19:58:13 -0300

ldap2dns (0.3.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not include /usr/share/debconf/confmodule in postinst
    (Closes: #333448).

 -- Luk Claes <luk@debian.org>  Tue, 03 Jul 2012 00:13:56 +0000

ldap2dns (0.3.1-3) unstable; urgency=low

  * New maintainer (Closes: #248520)
  * debian/rules: replaced DH_COMPAT by debian/compat
  * debian/control: increased Standards-Version to 3.6.1

 -- Igor Stroh <jenner@debian.org>  Thu, 23 Jun 2005 13:40:15 +0200

ldap2dns (0.3.1-2) unstable; urgency=low

  * Package orphaned.

 -- Johann Botha <joe@debian.org>  Tue, 11 May 2004 21:21:13 +0200

ldap2dns (0.3.1-1) unstable; urgency=low

  * New Upstream version.
  * Compiled for OpenLDAP 2.1. (Closes: Bug#214192)
  * Added bind9 to Depends list (Closes: Bug#186274, Bug#131599)

 -- Johann Botha <joe@debian.org>  Mon,  8 Mar 2004 23:11:41 +0200

ldap2dns (0.2.6-1) unstable; urgency=low

  * First version uploaded as official Debian package.  Closes: #118141
  * New Upstream version.
  * ldap2tinydns-conf uid/gid fixes

 -- Johann Botha <joe@debian.org>  Sun, 19 Aug 2001 16:05:46 +0200

ldap2dns (0.2.4-6) unstable; urgency=low

  * minor uid.gid fixes
  * /env/LDAPPW fix for ps visible password

 -- Johann Botha <joe@blio.net>  Tue, 31 Jul 2001 17:20:23 +0200

ldap2dns (0.2.4-5) unstable; urgency=low

  * fixed user/group in ldap2tinydns-conf
  * fixed DNSipaddr syntax in dns.schema

 -- Johann Botha <joe@blio.net>  Mon,  9 Jul 2001 19:26:32 +0200

ldap2dns (0.2.4-4) unstable; urgency=low

  * Added Text version of README.html
  * Minor Debian rules and dependency fix

 -- Johann Botha <joe@blio.net>  Sun,  1 Jul 2001 13:49:46 +0200

ldap2dns (0.2.4-3) unstable; urgency=low

  * Minor Fixes to conform to Debian standards

 -- Johann Botha <joe@blio.net>  Wed, 20 Jun 2001 23:56:12 +0200

ldap2dns (0.2.4-2) unstable; urgency=low

  * fixed Build-Depends
  * Added ldap2tinydns-conf.1 manpage

 -- Johann Botha <joe@blio.net>  Thu,  7 Jun 2001 17:54:43 +0200

ldap2dns (0.2.4-1) unstable; urgency=low

  * Initial Release.
  * Debianized Makefile
  * Added "description" attribute to DNSzone in dns.schema
  * Removed OpenLDAPv1 schema info: dns.at.conf, dns.oc.conf
  * Removed import.pl, example*.html, Specfile
  * Added ldap2dns.1 and ldap2dnsd.1 manpages

 -- Johann Botha <joe@blio.net>  Tue, 22 May 2001 20:43:11 +0200
