=== debian/control ===
Source: ldap2dns
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libldap2-dev, links
Standards-Version: 4.6.1
Rules-Requires-Root: binary-targets
Homepage: https://github.com/bklang/ldap2dns/
Vcs-Browser: https://salsa.debian.org/debian/ldap2dns
Vcs-Git: https://salsa.debian.org/debian/ldap2dns.git

Package: ldap2dns
Architecture: any
Depends: bind | bind9 | djbdns | djbdns-installer,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ldap-utils (>= 2.1.22-1)
Description: LDAP based DNS management system
 ldap2dns is a program to create DNS (Domain Name Service) records directly
 from a LDAP directory. It can and should be used to replace the secondary
 name-server by a second primary one. ldap2dns reduces all kind of
 administration overhead: No more flat file editing, no more zone file
 editing. After having installed ldap2dns, the administrator only has to
 access the LDAP directory.
 .
 ldap2dns is designed to write ASCII data files used by tinydns from the
 djbdns package, but also may be used to write .db-files used by named as
 found in the BIND package.
